---
# A deployment for the cpp-dns-leaker service with 2 replicas.
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-otel-service
  labels:
    app: nginx-otel-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nginx-otel-service
  template:
    metadata:
      labels:
        app: nginx-otel-service
    spec:
      containers:
      - name: nginx-otel-service
        image: registry.gitlab.com/everyonecancontribute/observability/nginx-opentelemetry:latest
        imagePullPolicy: Always
        env:
        - name: OTEL_ENDPOINT
          value: "otel-collector-collector:4317"
        ports:
        - containerPort: 80
          protocol: TCP 


apiVersion: v1
kind: Service
metadata:
  name: nginx-otel-service
  labels:
    app: nginx-otel-service
spec:
  ports:
  - port: 80
    protocol: TCP
  selector:
    app: nginx-otel-service


